1. create the screen
2. create  and move a paddle
3. create another paddle
4. create the ball and make it move
5. detect collision with the wall and bounce
6. detect when paddle misses
7. keep score



